### Method

# EDataBook BookSqlite cursor_calculate

since: 3.12

#### Declaration [src]

    gboolean
    e_book_sqlite_cursor_calculate (
      EBookSqlite* ebsql,
      EbSqlCursor* cursor,
      gint* total,
      gint* position,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Calculates the `total` amount of results for the `cursor`‘s query expression, as well as the current `position` of `cursor` in the results. `position` is represented as the amount of results which lead up to the current value of `cursor`, if `cursor` currently points to an exact contact, the position also includes the cursor contact.

Available since: 3.12

This method is not directly available to language bindings.

#### Parameters

`cursor`

  Type: `EbSqlCursor`

  The `EbSqlCursor`.

  The data is owned by the caller of the method.

`total`

  Type: `gint*`

  A return location to store the total result set for this cursor.

  The argument will be set by the function.
  The argument can be `NULL`.

`position`

  Type: `gint*`

  A return location to store the total results before the cursor value.

  The argument will be set by the function.
  The argument can be `NULL`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether `total` and `position` were successfully calculated.